Ubuntu成功征服Google Earth 6

三月 16, 2011

前段时间刚在一篇博文里埋怨了谷歌一番,但由于我是个地理爱好者,没有Google Earth(以下简称GE了)还真是不爽,于是下决心征服它。想不到功夫不负有心人,还真征服成功了。
      现在GE的安装是越来越简单了,登录官网直接下载deb包双击安装就行。
      接下来就是十分繁琐的配置,这不怪Ubuntu,只怪谷歌这般懒惰的开发者。
(1)直接双击GE图标运行,将会见到一大堆乱码。解决方法想必大家都听说过了:
      1、进入目录 /opt/google/earth/free ,把libQtCore.so.4、libQtGui.so.4、libQtNetwork.so.4、libQtWebKit.so.4 四个文件删掉!
      2、进入新立得软件包管理器,安装libqt4-core, libqt4-gui, libqt4-network, libqt4-webkit 四个软件包。

      这样就好了吗?还没有呢!接着往下看:

(2)再双击GE图标运行,界面确实是中文了,但是不到几秒钟,GE就自动退出了!
解决方法一:
      在GE图标上单击右键,选择“以管理员身份打开”,或者直接在命令行中输入 sudo google-earth,也就是说,用root运行GE。

      行吗?我发现,这一次GE多“撑”住了几秒,最后又崩溃了!

解决方法二:
      1、进入GE的个人用户配置目录: ~/.config/Google。
      2、打开GoogleEarthPlus.conf文件,找到 lastTip= 这一行,在下面添上一句: enableTips=false

      这是网上很流行的做法。行吗?我发现,这一次GE“苦撑”了3秒钟,又崩溃了!

解决方法三(最终方案)
      1、进入新立得软件包管理器,安装 libfreeimage3
      2、进入目录 /opt/google/earth/free ,打开文件googleearth(是一个shell脚本),这个脚本的最后一行应该是这样的:

LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH ./googleearth-bin "$@"

      请在它的前面添加上这么一句:

export LD_PRELOAD=/usr/lib/libfreeimage.so.3

      保存,关闭。双击GE图标吧!这下子GE算是被你驯服了。

      最后上图:

软件界面(没啥太大变化)(该图点击可以放大,以后博文中的图片都会有这个功能)
版本信息(居然还是beta的版本,白费我这么多时间)

-------------------
      PS:使用这种方法之后,中文界面正常显示,而且程序启动时不崩溃。但是还有一个问题没解决:地图里的照片不能显示。要解决该问题,请看这篇文章

posted in Ubuntu/Linux by billzt

Follow comments via the RSS Feed | Leave a comment | Trackback URL

30
说点什么

13 Comment threads
14 Thread replies
0 Followers
 
Most reacted comment
Hottest comment thread
13 Comment authors
Recent comment authors

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

  Subscribe  
最新 最旧 得票最多
提醒
游客
Mucid

死绑定库……不晓得是否可以显示照片。

游客

可能是终极解决办法,不错哦,顶

游客

原来是静态编译的?

游客
Mucid

太恶心了,我的 ubuntu10.10 为了运行google-earth 居然要 sudo apt-get install lsb-core
囧啊,我的ubuntu都可以用 rpm了……

游客

我装的时候直接把语言文件里的中文和英文文件换掉了,用英文的...不想去折腾 😀

游客

ubuntu不能直接apt-get 地球?

游客

终于不需要在用乱码的Google Earth,太好了

游客
preston

非常感谢,学习啦~

游客

不能显示图片。。。遗憾

游客
einnerp

在Google Earth 6下无法显示中文,上面的方法都不行 ❓

游客
ak47

ubuntu 64bit 下的 GE6.1不成功啊。

游客

我按照这个做的,但是还是三秒崩溃。我也崩溃了!行行好。发个邮件给我吧!

游客
承影

大姐,有没有6.1版的谷歌地球啊,6.2的不好用啊,加我QQ:814403891。

 

Copyright © 2010-2018 | Powered by Wordpress and MySQL. Theme by Shlomi Noach, openark.org